#! /bin/bash

uri_file=$1

touch props.txt

cat $uri_file | shuf | while read person_uri; do
	# print out a time stamp for debugging
	timestamp=`date +"%D %T"`
	>&2 echo "${timestamp}     ${person_uri}"
	# load ntriples and append all props to props.txt
	rapper -g $person_uri | cut -f2 -d '>' | sed 's/ <//g' >> props.txt
done


cat props.txt | sort |  uniq -c | sort -nr
